Package org.apache.sling.commons.testing.jcr

# Class EventHelper

java.lang.Object
org.apache.sling.commons.testing.jcr.EventHelper

All Implemented Interfaces:
  `javax.jcr.observation.EventListener`

public class EventHelper extends Object implements javax.jcr.observation.EventListener
Used by tests to wait until JCR notification events have been delivered.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WAIT_NODE_FOLDER`
`static final String`
`WAIT_NODE_NODE`

## Constructor Summary

Constructors
Constructor
Description
`EventHelper(javax.jcr.Session s)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Remove the event listener from the observation listener.
`void`
`onEvent(javax.jcr.observation.EventIterator it)`
`void`
`waitForEvents(long timeoutMsec)`
To make sure observation events have been delivered, create or delete a a node and wait for the corresponding events to be received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WAIT_NODE_FOLDER

public static final String WAIT_NODE_FOLDER

See Also:
  - Constant Field Values

### WAIT_NODE_NODE

public static final String WAIT_NODE_NODE

## Constructor Details

### EventHelper

public EventHelper(javax.jcr.Session s) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

## Method Details

### onEvent

public void onEvent(javax.jcr.observation.EventIterator it)

Specified by:
  `onEvent` in interface `javax.jcr.observation.EventListener`

### waitForEvents

public void waitForEvents(long timeoutMsec) throws javax.jcr.RepositoryException
To make sure observation events have been delivered, create or delete a a node and wait for the corresponding events to be received.

Throws:
  `javax.jcr.RepositoryException`

### dispose

public void dispose()
Remove the event listener from the observation listener.